CREATE TABLE cst_scenario_events (
    SCENARIO_EVENT_ID         NUMBER(18, 0) ,
    SCENARIO_ID               NUMBER(18, 0)     NOT NULL,
    SCENARIO_EVENT_TYPE       VARCHAR2(120)     NOT NULL,
    SCENARIO_EVENT_DATE       TIMESTAMP(6)      NOT NULL,
    STATUS_CODE               VARCHAR2(120)     NOT NULL,
    SCENARIO_EVENT_NUMBER     VARCHAR2(120) ,
    START_TIME                TIMESTAMP(6)  ,
    END_TIME                  TIMESTAMP(6)  ,
    TOTAL_COUNT               NUMBER(9, 0)  ,
    COMPLETED_COUNT           NUMBER(9, 0)  ,
    FAILED_COUNT              NUMBER(9, 0)  ,
    PERCENT_COMPLETE          NUMBER(3, 0)  ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    SCENARIO_EVENT_ID         NUMBER(18, 0) ,
    SCENARIO_ID               NUMBER(18, 0)     NOT NULL,
    SCENARIO_EVENT_TYPE       VARCHAR2(120)     NOT NULL,
    SCENARIO_EVENT_DATE       TIMESTAMP(6)      NOT NULL,
    STATUS_CODE               VARCHAR2(120)     NOT NULL,
    SCENARIO_EVENT_NUMBER     VARCHAR2(120) ,
    START_TIME                TIMESTAMP(6)  ,
    END_TIME                  TIMESTAMP(6)  ,
    TOTAL_COUNT               NUMBER(9, 0)  ,
    COMPLETED_COUNT           NUMBER(9, 0)  ,
    FAILED_COUNT              NUMBER(9, 0)  ,
    PERCENT_COMPLETE          NUMBER(3, 0)  ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CONSTRAINT pk_cst_scenario_events PRIMARY KEY (SCENARIO_EVENT_ID, SCENARIO_EVENT_ID)
);
